#include "orb_device.h"
#include "orb_translator.h"
#include "hid_keys.h"
#include "chart_4.h"

Logical_orb orb_buffer( SpaceBall4000 );
Orb_translator translator;
byte b;
boolean has_initialized_orb=false;

void setup()
{
  Serial.begin( 9600 );

  translator.set_chording( false );
  translator.set_axis_map( Axis_map_spaceball_4k );
  translator.set_polarity( Polarity_spaceball_4k );
  translator.set_gain( 0 );
  translator.set_sensitivity_table( sensitivity_4_chart );

}

void loop()
{
  orb_device.refresh();
  if  ( Serial.available() )
  {
    b = Serial.read();
    orb_buffer.add_byte( b );
    if ( orb_buffer.has_changed() )
    {
      if ( (!has_initialized_orb) && (orb_buffer.physical_buttons & 1) )
      {
        orb_device.safe_send_serial_P(spaceball_setup_string);
        has_initialized_orb = true;
      }
      else if ( has_initialized_orb )
      {
      }
      translator.update(orb_buffer, orb_device);
    }
  }
}
